/**
 * 现场管理接口
 */
import request from './index'
const prefix = 'site'

// 现场列表
export function getSceneListPage(params: object) {
  return request({
    url: `${prefix}/listPage`,
    method: 'get',
    params,
  })
}
// 更新现场
export function updateScene(data: object) {
  return request({
    url: `${prefix}/update`,
    method: 'post',
    data,
  })
}
// 新增现场
export function addScene(data: object) {
  return request({
    url: `${prefix}/add`,
    method: 'post',
    data,
  })
}
// 删除现场
export function delScene(data: object) {
  return request({
    url: `${prefix}/delete`,
    method: 'post',
    data,
  })
}
// 现场详情
export function getSceneDetail(id: string) {
  return request({
    url: `${prefix}/detail?projectId=${id}`,
    method: 'get',
  })
}
// 开始作业
export function startApi(id: string) {
  return request({
    url: `/site/start?projectId=${id}`,
    method: 'post',
  })
}
// 完成作业
export function endApi(id: string) {
  return request({
    url: `/site/finish?projectId=${id}`,
    method: 'post',
  })
}
